Skip to main content
GET
/
v0
/
contracts
/
{id}
Get contract
curl --request GET \
  --url https://api.sfcompute.com/v0/contracts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "contract",
  "status": "active",
  "id": "cont_xyz789",
  "created_at": "2024-07-15T22:30:17.426Z",
  "instance_type": "h100i",
  "shape": {
    "intervals": [
      "2024-07-16T22:30:16Z",
      "2024-07-17T22:30:16Z",
      "2024-07-18T22:30:16Z"
    ],
    "quantities": [
      10,
      20,
      0
    ]
  },
  "colocate_with": [
    "cont_abc456"
  ],
  "cluster_id": "clus_xyz123",
  "state": "Active",
  "is_node": false,
  "procurement_id": "proc_1234567890abcdef"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/account/api-keys.

Path Parameters

id
string
required

Contract ID

Pattern: cont_[0-9a-zA-Z_-]{1,21}
Example:

"cont_k3R-nX9vLm7Qp2Yw5Jd8F"

Response

Contract details

object
enum<string>
required
Available options:
contract
Example:

"contract"

status
enum<string>
required
Available options:
active,
pending
id
string
required
Pattern: cont_[0-9a-zA-Z_-]{1,21}
Example:

"cont_k3R-nX9vLm7Qp2Yw5Jd8F"

created_at
string<date-time>
required

An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

instance_type
string
required
Examples:

"h100i"

"h100v"

"h200ki"

shape
object
required

A schedule representing a change of a quantity over time. The schedule changes at intervals[i] to quantity[i]. Intervals are sorted from first to last change.

state
enum<string>
required
Available options:
Upcoming,
Active,
Expired
is_node
boolean
required

Specifies whether this contract is managed by the Nodes API

Example:

true

colocate_with
string[]
deprecated
Pattern: cont_[0-9a-zA-Z_-]{1,21}
cluster_id
null | string
Pattern: clus_[0-9a-zA-Z_-]{1,21}
Example:

"clus_k3R-nX9vLm7Qp2Yw5Jd8F"

zone
null | string
Example:

"richmond"

procurement_id
string | null

The procurement which ordered this contract, if any

Example:

"proc_1234567890abcdef"